<HTML>
<HEAD>
<!-- This HTML file has been created by texi2html 1.54
     from suif1.texi on 28 April 1999 -->

<TITLE>The SUIF Version 1 Library - Input Annotes</TITLE>
<link href="suif1_83.html" rel=Next>
<link href="suif1_81.html" rel=Previous>
<link href="suif1_toc.html" rel=ToC>

</HEAD>
<BODY>
<p>Go to the <A HREF="suif1_1.html">first</A>, <A HREF="suif1_81.html">previous</A>, <A HREF="suif1_83.html">next</A>, <A HREF="suif1_113.html">last</A> section, <A HREF="suif1_toc.html">table of contents</A>.
<P><HR><P>


<H3><A NAME="SEC82" HREF="suif1_toc.html#TOC82">Unregistered Annotations in the Input File</A></H3>

<P>
When an unregistered annotation is read from a SUIF input file, it is
automatically registered as a flat annotation.  This is done so that the
manager knows to write the annotation back in the output.

</P>
<P>
Annotations are often added to a SUIF file in one pass to record some
sort of information, perhaps the results of a data flow analysis.  Those
annotations may then used in later passes to guide various
transformations.  Even if intervening passes do not recognize the
annotations, they will still be propagated to the output.  (It is up to
the user, of course, to make sure that the intervening passes do not
invalidate the information in the annotations without updating them.)

</P>

<P><HR><P>
<p>Go to the <A HREF="suif1_1.html">first</A>, <A HREF="suif1_81.html">previous</A>, <A HREF="suif1_83.html">next</A>, <A HREF="suif1_113.html">last</A> section, <A HREF="suif1_toc.html">table of contents</A>.
</BODY>
</HTML>
